io.vertx.rxjava.core.net

## Class SocketAddress

- java.lang.Object
- - io.vertx.rxjava.core.net.SocketAddress

-     public class SocketAddress
      extends Object

  The address of a socket, an inet socket address or a domain socket address.

  Use `inetSocketAddress(int, java.lang.String)` to create an inet socket address and `domainSocketAddress(java.lang.String)` to create a domain socket address

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SocketAddress>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketAddress(Object delegate)`
    `SocketAddress(SocketAddress delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SocketAddress` | `domainSocketAddress(String path)` Create a domain socket address.
    `boolean` | `equals(Object o)`
    `SocketAddress` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `host()`
    `static SocketAddress` | `inetSocketAddress(int port, String host)` Create a inet socket address, `host` must be non `null` and `port` must be between `0` and `65536`.
    `static SocketAddress` | `newInstance(SocketAddress arg)`
    `String` | `path()`
    `int` | `port()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SocketAddress> __TYPE_ARG

  - ### Constructor Detail

    - #### SocketAddress

          public SocketAddress(SocketAddress delegate)

    - #### SocketAddress

          public SocketAddress(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SocketAddress getDelegate()

    - #### inetSocketAddress

          public static SocketAddress inetSocketAddress(int port,
                                                        String host)

      Create a inet socket address, `host` must be non `null` and `port` must be between `0` and `65536`.
      Parameters:
        `port` - the address port
        `host` - the address host
      Returns:
        the created socket address

    - #### domainSocketAddress

          public static SocketAddress domainSocketAddress(String path)

      Create a domain socket address.
      Parameters:
        `path` - the address path
      Returns:
        the created socket address

    - #### host

          public String host()

      Returns:
        the address host or `null` for a domain socket

    - #### port

          public int port()

      Returns:
        the address port or `-1` for a domain socket

    - #### path

          public String path()

      Returns:
        the address path or `null` for a inet socket

    - #### newInstance

          public static SocketAddress newInstance(SocketAddress arg)

Copyright © 2021 Eclipse. All rights reserved.